This class will not compile with jdk1.4
The api has changed with a new class so it is not possible to make it 
compile with jdk1.4 AND jdk1.2 or jdk1.3
The method you need is in that class, simply uncomment it.

On 2002.03.07 18:38 David B. Bitton wrote:
> There are number of ways to make Java available across COM, but as far as
> i
> can tell, they all use the local VM that's installed on the machine, and
> it
> needs to be running.  This way, it's compiled into the DLL, along with
> _all_
> of the other classes that are used (from xalan, etc.).  I just d/l'ed the
> latest CVS snapshot, and the build breaks on:
> 
>     [javac] 
> E:\xml-fop\build\src\org\apache\fop\svg\PDFGraphics2D.java:1196:
> nested class org.apache.fop.svg.PDFGraphics2D. PDFGraph
> icsConfiguration is an abstract class. It can't be instantiated.
>     [javac]         return new PDFGraphicsConfiguration();
>     [javac]                ^
>     [javac] 
> E:\xml-fop\build\src\org\apache\fop\svg\PDFGraphics2D.java:1203:
> nested class org.apache.fop.svg.PDFGraphics2D. PDFGraph
> icsConfiguration must be declared abstract. It does not define
> java.awt.image.VolatileImage createCompatibleVolatileImage(int, int)
> from class java.awt.GraphicsConfiguration.
>     [javac]     static class PDFGraphicsConfiguration extends
> GraphicsConfiguration {
>     [javac]                  ^
>     [javac] 2 errors, 1 warning
> 
> does anyone know why this is?  I am using all of the latest version of
> the
> dependent libraries, Xalan, Xerces, etc.  I wanted to make sure I could
> build the classes before I started the search and destroy mission to find
> java.util.HashMap.  Help?

---------------------------------------------------------------------
To unsubscribe, e-mail: [EMAIL PROTECTED]
For additional commands, email: [EMAIL PROTECTED]

Reply via email to